- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDConversionScaleFunctor Class Reference

A sample conversion functor: it scales the value by a given amount. More...

`#include <FCDAnimationCurve.h>`

Inheritance diagram for FCDConversionScaleFunctor:

List of all members.

## Public Member Functions
| FCDConversionScaleFunctor (float factor)
| Constructor.
void | SetScaleFactor (float factor)
| Mutator.
virtual | ~FCDConversionScaleFunctor ()
| Destructor.
virtual float | operator() (float v)
| Scales the given value.
virtual FMVector3 | operator() (const FMVector3 &v)
| Scales the given FMVector3.
virtual FMVector4 | operator() (const FMVector4 &v)
| Scales the given FMVector4.

## Detailed Description

A sample conversion functor: it scales the value by a given amount.

## Constructor & Destructor Documentation

FCDConversionScaleFunctor::FCDConversionScaleFunctor | ( | float | factor | ) | `[inline]`

  | Constructor. Parameters:
  | factor | The scale factor.

## Member Function Documentation

virtual FMVector4 FCDConversionScaleFunctor::operator() | ( | const FMVector4 & | v | ) | `[inline, virtual]`

  | Scales the given FMVector4. Parameters:
  | v | The value to scale.
Returns: The scaled value.

virtual FMVector3 FCDConversionScaleFunctor::operator() | ( | const FMVector3 & | v | ) | `[inline, virtual]`

  | Scales the given FMVector3. Parameters:
  | v | The value to scale.
Returns: The scaled value.

virtual float FCDConversionScaleFunctor::operator() | ( | float | v | ) | `[inline, virtual]`

  | Scales the given value. Parameters:
  | v | The value to scale.
Returns: The scaled value. Implements FCDConversionFunctor.

void FCDConversionScaleFunctor::SetScaleFactor | ( | float | factor | ) | `[inline]`

  | Mutator. Parameters:
  | factor | The new scale factor.

The documentation for this class was generated from the following file:

- FCDocument/FCDAnimationCurve.h